Share via


Jobs - Get Detector

Get the diagnostics data for a given Container App Job.
Get the diagnostics data for a Container App Job.

GET https://management.azure.com/subscriptions/{subscriptionId}/resourceGroups/{resourceGroupName}/providers/Microsoft.App/jobs/{jobName}/detectors/{detectorName}?api-version=2026-01-01

URI Parameters

Name In Required Type Description
detectorName
path True

string

pattern: ^[-\w\._\(\)]+$

Name of the Container App Job detector.

jobName
path True

string

pattern: ^[-\w\._\(\)]+$

Job Name

resourceGroupName
path True

string

minLength: 1
maxLength: 90

The name of the resource group. The name is case insensitive.

subscriptionId
path True

string

minLength: 1

The ID of the target subscription.

api-version
query True

string

minLength: 1

The API version to use for this operation.

Responses

Name Type Description
200 OK

Diagnostics

OK

Other Status Codes

DefaultErrorResponse

Common error response.

Security

azure_auth

Azure Active Directory OAuth2 Flow

Type: oauth2
Flow: implicit
Authorization URL: https://login.microsoftonline.com/common/oauth2/authorize

Scopes

Name Description
user_impersonation impersonate your user account

Examples

Get diagnostic data for a Container App Job

Sample request

GET https://management.azure.com/subscriptions/f07f3711-b45e-40fe-a941-4e6d93f851e6/resourceGroups/mikono-workerapp-test-rg/providers/Microsoft.App/jobs/mikonojob1/detectors/containerappjobnetworkIO?api-version=2026-01-01

Sample response

{
  "id": "/subscriptions/f07f3711-b45e-40fe-a941-4e6d93f851e6/resourceGroups/mikono-workerapp-test-rg/providers/Microsoft.App/jobs/mikonojob1/detectors/containerappjobnetworkIO",
  "name": "containerappjobnetworkIO",
  "type": "Microsoft.App/jobs/detectors",
  "properties": {
    "metadata": {
      "id": "containerappjobnetworkIO",
      "name": "Container App Job Network Inbound and Outbound",
      "description": "This detector shows the Container App Job Network Inbound and Outbound.",
      "author": "",
      "category": "Availability and Performance",
      "supportTopicList": [],
      "type": "Detector",
      "score": 0
    },
    "dataset": [
      {
        "table": {
          "tableName": "",
          "columns": [
            {
              "columnName": "TimeStamp",
              "dataType": "DateTime"
            },
            {
              "columnName": "Metric",
              "dataType": "String"
            },
            {
              "columnName": "Average",
              "dataType": "Double"
            }
          ],
          "rows": [
            [
              "2022-03-15T21:35:00",
              "RxBytes",
              0
            ]
          ]
        },
        "renderingProperties": {
          "type": 8,
          "title": "Container App Job Network Inbound ",
          "description": "",
          "isVisible": true
        }
      }
    ],
    "status": {
      "statusId": 3
    }
  }
}

Definitions

Name Description
createdByType

The type of identity that created the resource.

DefaultErrorResponse

App Service error response.

Details

Details or the error

DiagnosticDataProviderMetadata

List of data providers' metadata.

DiagnosticDataTableResponseColumn

Columns in the table

DiagnosticDataTableResponseObject

Table response

DiagnosticRendering

Details of the table response

Diagnostics

Diagnostics data for a resource.

DiagnosticsDataApiResponse

Set of data collections associated with the response.

DiagnosticsDefinition

Metadata of the diagnostics response.

DiagnosticsStatus

Status of the diagnostics response.

DiagnosticSupportTopic

List of support topics

Error

Error model.

Properties

Diagnostics resource specific properties

PropertyBag

Collection of properties

systemData

Metadata pertaining to creation and last modification of the resource.

createdByType

The type of identity that created the resource.

Value Description
User
Application
ManagedIdentity
Key

DefaultErrorResponse

App Service error response.

Name Type Description
error

Error

Error model.

Details

Details or the error

Name Type Description
code

string

Standardized string to programmatically identify the error.

message

string

Detailed error description and debugging information.

target

string

Detailed error description and debugging information.

DiagnosticDataProviderMetadata

List of data providers' metadata.

Name Type Description
propertyBag

PropertyBag[]

Collection of properties

providerName

string

Name of data provider

DiagnosticDataTableResponseColumn

Columns in the table

Name Type Description
columnName

string

Column name

columnType

string

Column type

dataType

string

Data type of the column

DiagnosticDataTableResponseObject

Table response

Name Type Description
columns

DiagnosticDataTableResponseColumn[]

Columns in the table

rows

object[]

Rows in the table

tableName

string

Table name

DiagnosticRendering

Details of the table response

Name Type Description
description

string

Description of the table

isVisible

boolean

Flag if the table should be rendered

title

string

Title of the table

type

integer (int32)

Rendering type

Diagnostics

Diagnostics data for a resource.

Name Type Description
id

string (arm-id)

Fully qualified resource ID for the resource. E.g. "/subscriptions/{subscriptionId}/resourceGroups/{resourceGroupName}/providers/{resourceProviderNamespace}/{resourceType}/{resourceName}"

name

string

The name of the resource

properties

Properties

Diagnostics resource specific properties

systemData

systemData

Azure Resource Manager metadata containing createdBy and modifiedBy information.

type

string

The type of the resource. E.g. "Microsoft.Compute/virtualMachines" or "Microsoft.Storage/storageAccounts"

DiagnosticsDataApiResponse

Set of data collections associated with the response.

Name Type Description
renderingProperties

DiagnosticRendering

Details of the table response

table

DiagnosticDataTableResponseObject

Table response

DiagnosticsDefinition

Metadata of the diagnostics response.

Name Type Description
analysisTypes

string[]

List of analysis types

author

string

Authors' names of the detector

category

string

Category of the detector

description

string

Details of the diagnostics info

id

string

Unique detector name

name

string

Display Name of the detector

score

number

Authors' names of the detector

supportTopicList

DiagnosticSupportTopic[]

List of support topics

type

string

Authors' names of the detector

DiagnosticsStatus

Status of the diagnostics response.

Name Type Description
message

string

Diagnostic message

statusId

integer (int32)

Status

DiagnosticSupportTopic

List of support topics

Name Type Description
id

string

Unique topic identifier

pesId

string

PES identifier

Error

Error model.

Name Type Description
code

string

Standardized string to programmatically identify the error.

details

Details[]

Details or the error

innererror

string

More information to debug error.

message

string

Detailed error description and debugging information.

target

string

Detailed error description and debugging information.

Properties

Diagnostics resource specific properties

Name Type Description
dataProviderMetadata

DiagnosticDataProviderMetadata

List of data providers' metadata.

dataset

DiagnosticsDataApiResponse[]

Set of data collections associated with the response.

metadata

DiagnosticsDefinition

Metadata of the diagnostics response.

status

DiagnosticsStatus

Status of the diagnostics response.

PropertyBag

Collection of properties

Name Type Description
name

string

Property name

value

string

Property value

systemData

Metadata pertaining to creation and last modification of the resource.

Name Type Description
createdAt

string (date-time)

The timestamp of resource creation (UTC).

createdBy

string

The identity that created the resource.

createdByType

createdByType

The type of identity that created the resource.

lastModifiedAt

string (date-time)

The timestamp of resource last modification (UTC)

lastModifiedBy

string

The identity that last modified the resource.

lastModifiedByType

createdByType

The type of identity that last modified the resource.